%global tarball xf86-input-evdev
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input


Summary:    Xorg X11 evdev input driver
Name:       xorg-x11-drv-evdev
Version:    2.10.6
Release:    4%{?dist}
License:    MIT
URL:        http://www.x.org
Source0:    ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

BuildRequires: make autoconf automake libtool
BuildRequires: libudev-devel mtdev-devel libevdev-devel
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: xorg-x11-util-macros >= 1.3.0

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires xinput)
Requires: xkeyboard-config >= 1.4-1
Requires: mtdev

%description
X.Org X11 evdev input driver.


%package devel
Summary:    Xorg X11 evdev input driver development package.
Requires:   pkgconfig

%description devel
X.Org X11 evdev input driver development files.


%prep
%setup -q -n %{tarball}-%{version}


%build
autoreconf -fiv || exit 1
%configure --disable-static --disable-silent-rules
%make_build


%install
%make_install
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --


%files
%doc COPYING
%{driverdir}/evdev_drv.so
%{_mandir}/man4/evdev.4*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf


%files devel
%doc COPYING
%{_libdir}/pkgconfig/xorg-evdev.pc
%dir %{_includedir}/xorg
%{_includedir}/xorg/evdev-properties.h


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.6-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 rockerzhu <rockerzhu@tencent.com> - 2.10.6-1
- Initial build
